#!/bin/sh


    
getyn () {
        while echo "$* (y/n) ? " >&2
        do
                read yn rest
                case $yn in
                        [yY]) return 1 ;;
                        [nN]) return 0 ;;
                        *) echo -n "Please answer y or no" >&2 ;;
                esac
        done
}


if getyn "Have you remembered to do a 'cvs update -d' and a 'make clean' ?!"
    then
    echo "Then do it!"
    exit 0
fi


if getyn "Remember to restart the RMI server process after installing Trakla2!!"
    then
    exit 0
fi

# compile

make trakla2
make jar



# do not loose old jar file
TIMESTAMP=`ssh trakla2@opus.cs.hut.fi "date +%F_%H%M%S"`
ssh trakla2@opus.cs.hut.fi "cp public_html/lib/matrix.jar public_html/lib/matrix.jar-$TIMESTAMP"

# copy the matrix.jar and set permissions
scp matrix.jar trakla2@opus.cs.hut.fi:public_html/lib/.
ssh trakla2@opus.cs.hut.fi "chmod -R a+rx public_html/lib/matrix.jar"

# the Trakla2 RMI server must be restarted manually by killing the 
# process (java applications.trakla2.server.ExerciseServerImpl)
